use <specs_phone.scad>
use <specs_strap.scad>

function get_platform_size() = [
    get_phone_size().x - 30,
    get_phone_size().y - 5,
    get_platform_wall()*3
    ];
function get_platform_top_size() = [
    get_platform_size().x - 2*get_platform_wall(),
    get_platform_size().y - 2*get_platform_wall(),
    get_platform_size().z - get_platform_wall()];
function get_platform_top_pos() = [0, 0, (get_platform_size().z-get_platform_top_size().z)/2];
function get_platform_wall() = 3;
function get_platform_strap_connector_offset() = [
    (get_platform_size().x/2 - get_link_segment_size().y/2) - 3,
    get_platform_size().y/2 + 4,
    -get_link_segment_size().z/2 + 0.5
    ];
function get_platform_screwhole_d() = 3.2;
function get_platform_screwhole_h() = 10;

